Bug 1799942 - python-photutils: FTBFS in Fedora rawhide/f32
Summary: python-photutils: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-photutils
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1795292
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:42 UTC by Fedora Release Engineering
Modified: 2020-03-08 10:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-08 10:13:23 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2020-02-06 19:42 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 19:42 UTC, Fedora Release Engineering
no flags Details
state.log (1.00 KB, text/plain)
2020-02-06 19:42 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:42:03 UTC
python-photutils failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41320811


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix python-photutils at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-photutils will be orphaned. Before branching of Fedora 33,
python-photutils will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:42:06 UTC
Created attachment 1660498 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 19:42:08 UTC
Created attachment 1660499 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:42:09 UTC
Created attachment 1660500 [details]
state.log

Comment 4 Sergio Pascual 2020-02-11 11:08:02 UTC
This happens because testing in astropy 4 requires python-pytest-astropy-header. I can disable the testing until python-pytest-astropy-header is approved

Comment 5 Ben Cotton 2020-02-11 16:31:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.